# -*- coding: utf-8 -*-
from turtle import *
from math import *
from time import *

#Paramétrage de la fenêtre
fenetre = Screen()
fenetre.setup(1020,420)
fenetre.setworldcoordinates(-2,-3,18,5)

#Affichage de l'arrière-plan
desert=Turtle()
register_shape("Desert.gif")
desert.shape("Desert.gif")
desert.speed(0)
desert.goto(8,1)

#Fabrication et paramétrage du corps
corps=Turtle()
corps.speed(0)
corps.up()
polygone=[(0,0)]
for i in range(100):
    polygone.append((50*sin(2*i*pi/100),50*cos(2*i*pi/100)))
polygone.append((0,50))
polygone=tuple(polygone)
a = Shape("compound")
a.addcomponent(polygone, 'orange', 'yellow')
addshape("disque", a)
corps.shape("disque")
corps.goto(0,1)
corps.radians()
corps.right(pi/2)

#Paramétrage de la tête de BB8
tete=Turtle()
register_shape("TeteBB8.gif")
tete.shape("TeteBB8.gif")
tete.speed(0)
tete.up()
tete.goto(0,2)

############################# LE TRAVAIL COMMENCE ICI ############################

def avancer(p,n):
  for i in range(n):                #Répéter n fois
    tete.goto(tete.xcor()+p,2)      #L'abscisse de la tête augmente de p
    corps.goto(corps.xcor()+p,1)    #L'abscisse x du corps augmente de p
       


#On déplace BB8 comme on veut
avancer(0.03,200)


############################# FIN DE VOTRE TRAVAIL ################################
fenetre.mainloop()


